
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android之使用Android-query框架开发实战（一） / iVAN</title>

    <meta name="description" content="Android之使用Android-query框架开发实战（一） 开发Android使用Android-query框架能够快速的,比传统开发android所要编写的代码要少得很多,容易阅读等优势. 下载文档及其例子和包的地址:http://code.google.com/p/android-query/ 以下内容是我学习的一些心得分享: 第一节: // 必须实现AQuery这个类 AQuery aq = new AQuery(view); // 按顺序分析:取得xml对应控件id,设置图片,设置可以显示,点击事件(方法someMethod必须是public修饰">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android之使用Android-query框架开发实战（一）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>开发Android使用Android-query框架能够快速的，比传统开发android所要编写的代码要少得很多，容易阅读等优势。</p>
<p>下载文档及其例子和包的地址：http://code.google.com/p/android-query/</p>
<p>以下内容是我学习的一些心得分享：</p>
<p>第一节：</p>
<p>// 必须实现AQuery这个类 AQuery aq = new AQuery(view); // 按顺序分析：取得xml对应控件id,设置图片,设置可以显示,点击事件（方法someMethod必须是public修饰） aq.id(R.id.icon).image(R.drawable.icon).visible().clicked(this, &quot;someMethod&quot;); // 设置文字内容 aq.id(R.id.name).text(content.getPname()); aq.id(R.id.time).text(FormatUtility.relativeTime(System.currentTimeMillis(), content.getCreate())).visible();<br />
<br />aq.id(R.id.desc).text(content.getDesc()).visible();</p>
<p>AQuery也支持Fragment：</p>
<p>@Override public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) { View view = inflater.inflate(getContainerView(), container, false); aq = new AQuery(getActivity(), view); return view; }</p>
<p>第二节： 使用AQuery异步加载图片</p>
<p>2.1 从网上读取图片</p>
<p>aq.id(R.id.image1).image(“图片URL”);</p>
<p>2.2 缓存控制:&nbsp; 图片过大的话，避免记忆缓存</p>
<p>boolean memCache = false;<br /> &nbsp;&nbsp;&nbsp;&nbsp; boolean fileCache = true;<br /> &nbsp;&nbsp;&nbsp;&nbsp; aq.id(R.id.image1).image(&quot;http://www.vikispot.com/z/images/vikispot/android-w.png&quot;, memCache, fileCache);</p>
<p>2.3 当下载太多图片的时候需要降低图片采样率，第四个参数为了保证图片质量，一般范围时200-399</p>
<p>aq.id(R.id.image1).image(imageUrl, true, true, 200, 0);</p>
<p>2.4 如果下载图片失败,处理的方法：1. 设置一个预定的图片&nbsp; 2. 使imageview不可见或者是gone</p>
<p>aq.id(R.id.image1).image(imageUrl, true, true, 0, R.drawable.default_image);<br /> &nbsp;&nbsp;&nbsp;&nbsp; aq.id(R.id.image1).image(imageUrl, true, true, 0, AQuery.INVISIBLE);<br /> &nbsp;&nbsp;&nbsp;&nbsp; aq.id(R.id.image1).image(imageUrl, true, true, 0, AQuery.GONE);</p>
<p>2.5 图片预加载</p>
<p>// 从之前的url取得小图片<br /> &nbsp;&nbsp;&nbsp;&nbsp; String thumbnail = &quot;http://farm6.static.flickr.com/5035/5802797131_a729dac808_s.jpg&quot;;&nbsp;&nbsp; <br /> &nbsp;&nbsp;&nbsp;&nbsp; Bitmap preset = aq.getCachedImage(thumbnail);<br /> &nbsp;&nbsp;&nbsp; // 加载大图片前先显示小图片<br /> &nbsp;&nbsp;&nbsp;&nbsp; String imageUrl = &quot;http://farm6.static.flickr.com/5035/5802797131_a729dac808_b.jpg&quot;;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <br /> &nbsp;&nbsp;&nbsp; aq.id(R.id.image).image(imageUrl, false, false, 0, 0, preset, AQuery.FADE_IN);</p>
<p>2.6 在加载图片的时候显示进度条,progress里面传入id</p>
<p>String imageUrl = &quot;http://farm6.static.flickr.com/5035/5802797131_a729dac808_b.jpg&quot;;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <br /> &nbsp;&nbsp;&nbsp;&nbsp; aq.id(R.id.image).progress(R.id.progress).image(imageUrl, false, false);</p>
<p>2.7 图片圆角显示,不支持大图片</p>
<p>ImageOptions options = new ImageOptions();<br /> &nbsp;&nbsp;&nbsp;&nbsp; options.round = 15;<br /> &nbsp;&nbsp;&nbsp;&nbsp; aq.id(R.id.image).image(url, options);</p>
<p>2.8 图片长宽比例</p>
<p>// 保留原图片比例<br /> &nbsp;&nbsp;&nbsp; aq.id(R.id.image).image(imageUrl, true, true, 0, 0, null, AQuery.FADE_IN, AQuery.RATIO_PRESERVE);<br /> &nbsp;&nbsp;&nbsp; // 自定义图片比例<br /> &nbsp;&nbsp;&nbsp; //1:1, a square <br /> &nbsp;&nbsp;&nbsp; aq.id(R.id.image2).image(imageUrl, true, true, 0, 0, null, 0, 1.0f / 1.0f);&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <br /> &nbsp;&nbsp;&nbsp; aq.id(R.id.image3).image(imageUrl, true, true, 0, 0, null, 0, 1.5f / 1.0f);&nbsp;&nbsp;&nbsp;&nbsp; <br /> &nbsp;&nbsp;&nbsp; //16:9, a video thumbnail<br /> &nbsp;&nbsp;&nbsp; aq.id(R.id.image4).image(imageUrl, true, true, 0, 0, null, 0, 9.0f / 16.0f);&nbsp;&nbsp;&nbsp; <br /> &nbsp;&nbsp;&nbsp; aq.id(R.id.image5).image(imageUrl, true, true, 0, 0, null, 0, 3.0f / 4.0f);</p>
<p>2.9 图片描点，如果图片过高,描点可用来描述图片的哪一部分用于显示</p>
<p>Anchor values:<br /> 1.0 : Display top of the image<br /> 0 : Display the center of the image<br /> -1.0 : Display bottom of the image<br /> AQuery.ANCHOR_DYNAMIC : Display image with a top bias for photos.<br /> =======================================================<br /> &nbsp;ImageOptions options = new ImageOptions();<br /> &nbsp;options.ratio = 1;<br /> &nbsp;options.anchor = 1.0;<br /> &nbsp;aq.id(R.id.image1).image(imageUrl, options);</p>
<p>2.10 自定义图片加载后的处理</p>
<p>aq.id(R.id.image1).image(imageUrl, true, true, 0, 0, new BitmapAjaxCallback(){}）;</p>
<p>2.11 异步从文件加载图片,建议使用降低采样率避免oom</p>
<p>File file = new File(path); //load image from file, down sample to target width of 300 pixels aq.id(R.id.avatar).image(file, 300); //load image from file with callback aq.id(R.id.avatar).image(file, false, 300, new BitmapAjaxCallback(){ @Override public void callback(String url, ImageView iv, Bitmap bm, AjaxStatus status){ iv.setImageBitmap(bm); } });<br />
<br />2.12 如果之前image(&quot;url&quot;)已经成功,之后的都可以直接使用而不需要重新访问网络,也就是说之后可以离线访问此图像资源</p>
<p>2.13 文件中获取缓冲图片</p>
<p>File file = aq.getCachedFile(url);</p>
<p>2.14 除了imageview,webview也可以用来放图片</p>
<p>aq.id(R.id.web).progress(R.id.progress).webImage(url);</p>
<p>2.15 延迟图片加载,帮助你是否加载正在快速滚动的listview,详情参考文档使用</p>
<p>2.16 图片不使用缓存</p>
<p>aq.id(R.id.image).image(url, false, false);</p>
<p>2.17 缓存配置,缓存一般是保存在内部文件系统,但也可以保存在SDCard里面</p>
<p>File ext = Environment.getExternalStorageDirectory();<br /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; File cacheDir = new File(ext, &quot;myapp&quot;); <br /> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; AQUtility.setCacheDir(cacheDir);</p>
<p>2.18 共享图片,为了与其他程序共享图片,你需要把文件放在SDCard,makeSharedFile方法创建缓存地址的一个副本</p>
<p>File file = aq.makeSharedFile(url, &quot;android.png&quot;); if(file != null){ Intent intent = new Intent(Intent.ACTION_SEND); intent.setType(&quot;image/jpeg&quot;); intent.putExtra(Intent.EXTRA_STREAM, Uri.fromFile(file)); startActivityForResult(Intent.createChooser(intent, &quot;Share via:&quot;), SEND_REQUEST); }<br />
<br />2.19 配置,最好把配置写在application的onCreate方法,详细参考文档</p>
<p>2.20 程序退出时候需要把缓存清除</p>
<p>if(isTaskRoot()){ AQUtility.cleanCacheAsync(this); }<br />
<br />或者：</p>
<p>if(isTaskRoot()){ //clean the file cache with advance option long triggerSize = 3000000; //大于3M时候开始清除 long targetSize = 2000000; //直到少于2M AQUtility.cleanCacheAsync(this, triggerSize, targetSize); }<br />
<br />2.21 低内存处理</p>
<p>public class MainApplication extends Application{ @Override public void onLowMemory(){ //clear all memory cached images when system is in low memory //note that you can configure the max image cache count, see CONFIGURATION BitmapAjaxCallback.clearCache(); } }<br />
<br />以上内容就是小编跟大家介绍的Android之使用Android-query框架开发实战（一），希望大家喜欢，下篇文章跟大家介绍Android之使用Android-query框架开发实战（二），感兴趣的朋友请持续关注本站。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 12:38:57</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/androidquery%e6%a1%86%e6%9e%b6/" title="androidquery框架">androidquery框架</a>, <a href="https://www.iamivan.net/tag/android%e5%bc%80%e5%8f%91%e6%a1%86%e6%9e%b6/" title="android开发框架">android开发框架</a>, <a href="https://www.iamivan.net/tag/android_query%e6%a1%86%e6%9e%b6/" title="android&lowbar;query框架">android&lowbar;query框架</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android之使用Android-query框架开发实战（一）的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPlJolp.html" rel="bookmark">Android之使用Android-query框架开发实战（二）&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上篇文章跟大家介绍了Android之使用Android-query框架开发实战(一),本文继续跟大家介绍有关Android-query框架.具体内容请看下文. 异步网络: 1. 添加权限:&lt;uses-permission android:name=&quot;android.permission.INTERNET&quot; /&gt;  2. 支持的类型  JSONObject JSONArray String (HTML, XML) XmlDom (XML parsing) XmlPullPa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2ePvM.html" rel="bookmark">Android之使用Android-query框架开发实战（一）&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开发Android使用Android-query框架能够快速的,比传统开发android所要编写的代码要少得很多,容易阅读等优势.  下载文档及其例子和包的地址:http://code.google.com/p/android-query/  以下内容是我学习的一些心得分享: 第一节: // 必须实现AQuery这个类 AQuery aq = new AQuery(view); // 按顺序分析:取得xml对应控件id,设置图片,设置可以显示,点击事件(方法someMethod必须是public			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlOZoDb.html" rel="bookmark">Android之使用Android-query框架开发实战（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上篇文章跟大家介绍了Android之使用Android-query框架开发实战(一),本文继续跟大家介绍有关Android-query框架.具体内容请看下文. 异步网络: 1. 添加权限:&lt;uses-permission android:name=&quot;android.permission.INTERNET&quot; /&gt; 2. 支持的类型 JSONObject JSONArray String (HTML, XML) XmlDom (XML parsing) XmlPullPars			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2RWkBb.html" rel="bookmark">&lbrack;原创&rsqb;&period;NET 业务框架开发实战之十 第一阶段总结，深入浅出，水到渠成（前篇）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:[原创].NET 业务框架开发实战之十 第一阶段总结,深入浅出,水到渠成(前篇) .NET 业务框架开发实战之十 第一阶段总结,深入浅出,水到渠成(前篇) 前言:这个系列有段时间没有动了.主要是针对大家的反馈在修改代码.在修改的过程中,也有了一些新的体会,这里和大家分享一下,同时也发布一下业务框架的第一个版本.在本篇文章中,学习到的不是仅仅只是代码,而是设计的思想和实现这种思想的方法.在写本篇时有个感触:把一个东西彻底的讲清楚,不容易.希望大家 多提意见.而且在写本篇的时候,我个人也是很兴			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3JZVgz.html" rel="bookmark">&lbrack;原创&rsqb;&period;NET 业务框架开发实战之六 DAL的重构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:[原创].NET 业务框架开发实战之六 DAL的重构 .NET 业务框架开发实战之六 DAL的重构 前言:其实这个系列还是之前的&quot;.NET 分布式架构开发实战 &quot;,之所以改了名字,主要是因为文章的标题带来了不少的歧义:系列文章中本打算开发一个简化业务发的流程的Framework,然后用这个Framework再来实战,开发一个分布式的应用.改了名字.给大家带来了不便,敬请见谅.   本篇的议题如下:  1. 确定DAL的接口的定义.   系列文章链接:  [原创].NET 分布式架			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3JQZ7z.html" rel="bookmark">&lbrack;原创&rsqb;&period;NET 业务框架开发实战之八 业务层Mapping的选择策略</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:[原创].NET 业务框架开发实战之八 业务层Mapping的选择策略 .NET 业务框架开发实战之八 业务层Mapping的选择策略 前言:在上一篇文章中提到了mapping,感觉很像在重新实现NHibernate.其实文章的本意是想反映出Richard在思考的时候的一些选择:利用现有的,还是最后自己用别的方式实现.如果一上来就说什么什么好,那太武断了,也很片面,系列文章反复的在强调一点:技术有它的适用场景,没有完美的技术.很多的朋友说本系列在近似的开发一个ORM,其实不是:ORM就是把			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx28Ayz.html" rel="bookmark">&lbrack;原创&rsqb;&period;NET 业务框架开发实战之九 Mapping属性原理和验证规则的实现策略</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:[原创].NET 业务框架开发实战之九 Mapping属性原理和验证规则的实现策略 .NET 业务框架开发实战之九 Mapping属性原理和验证规则的实现策略 前言:之前的讨论一直关注在怎么从DAL中获取数据,以及数据的Mapping问题.实际上,一个业务框架最主要的作用就是简化业务逻辑的编写和开发.   本篇的议题如下: 框架的借鉴 综合考虑   系列文章链接:  [原创].NET 分布式架构开发实战之一 故事起源 [原创].NET 分布式架构开发实战之二 草稿设计 [原创].NET 分			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW2kJjb.html" rel="bookmark">&lbrack;原创&rsqb;&period;NET 分布式架构开发实战之四 构建从理想和实现之间的桥梁&lpar;前篇&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:[原创].NET 分布式架构开发实战之四 构建从理想和实现之间的桥梁(前篇) .NET 分布式架构开发实战之四 构建从理想和实现之间的桥梁(前篇) 前言:上一篇文章讲述了一些实现DAL的理论,本篇主要是DAL实现的的初步的尝试.   本篇的主要议题如下: 1. 设计DAL的基本操作 2. 对基本的操作的进一步的思考 3. 查询对象的一些思考   系列文章链接:  [原创].NET 分布式架构开发实战之一 故事起源 [原创].NET 分布式架构开发实战之二 草稿设计 [原创].NET 分布式			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjwGW6M.html" rel="bookmark">&lbrack;原创&rsqb;&period;NET 分布式架构开发实战之三 数据访问深入一点的思考</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:[原创].NET 分布式架构开发实战之三 数据访问深入一点的思考 .NET 分布式架构开发实战之三 数据访问深入一点的思考   前言:首先,感谢园子里的朋友对文章的支持,感谢大家,希望本系列的文章能够真正的对大家起到一点帮助的作用.再次感谢大家.   大家也许想问,什么时候出代码,代码一定会出的,我不想一上来就开始抛出一大堆的代码,然后讲解,架构的设计在思考的过程,思考到了,代码也就水到渠成了.   上篇文章讲述在设计之初,Richard所画出的一些草图,本篇对之前的草图做了进一步的思考.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkaXrb.html" rel="bookmark" class="title">比比猫朱明谦：&OpenCurlyDoubleQuote;猫&rdquo;背上的搜索人生</a>
					<div>
						2006年8月26日这一天,对于33岁的新加坡人朱明谦而言,他创立仅一年的聚类搜索互联网公司bbmao入选美国著名风险投资杂志Red Herring&quot;2006亚洲百强&quot;,这也意味着 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrDK6z.html" rel="bookmark" class="title">IE10对CSS3新特性的支持和HTML5新特性的支持</a>
					<div>
						文章简介:IE10将增强对HTML5和CSS3的支持. Windows 8 终于发布了,虽然现在可用的只是开发者预览版,好消息是,IE 10 也随着发了,虽然现在还只有Windows 8可用.我们来看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVymVp.html" rel="bookmark" class="title">可扩展标记语言&lpar;XML&rpar;，这里有更多的网站</a>
					<div>
						xml 中国XML联盟 http://www.xml.org.cn:8188/CPCW网站 http://netschool.cpcw.com/homepage/outspace/index.htm# ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3ag3p.html" rel="bookmark" class="title">关于位置的js代码！梅花老大给的</a>
					<div>
						js &lt;html&gt;&lt;body&gt;&lt;SCRIPT LANGUAGE=&quot;JavaScript&quot;&gt; var  s = &quot;&quot;; s + ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDxKlz.html" rel="bookmark" class="title">在ASP&period;NET中实现Url Rewriting</a>
					<div>
						asp.net 概要 分析如何使用微软提供的ASP.NET来对动态产生的URL地址进行网址重写. 网址重写是实现一种截取网址请求并将其进行处理后重新指向到一个指定的网址的过程.作者本人在对各种实现网址 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPa6Kz.html" rel="bookmark" class="title">拟出一个计划</a>
					<div>
						第一步是决定在后面的过程中采取哪些步骤.这听起来似乎很简单(事实上,我们这儿说的一切都似乎很简单),但很常见的一种情况是:有些人甚至没有进入阶段1,便忙忙慌慌地开始编写代码.如果你的计划本来就是&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Ay0Ap.html" rel="bookmark" class="title">阿里云如何使用查询实例状态接口</a>
					<div>
						查询实例状态 描述 批量获取当前用户所有实例的状态信息,也可用于获取实例列表,详见实例状态表; 借助 RAM 实现授权访问资源操作时的特殊限制 只允许查询前 100 个实例的状态;如果 PageNum ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7Jvvb.html" rel="bookmark" class="title">php操作xml入门之xml基本介绍及xml标签元素</a>
					<div>
						 以xml实例来讲解: 代码如下: &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot; standalone=&quot;no&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNDr8b.html" rel="bookmark" class="title">Python中的Classes和Metaclasses详解</a>
					<div>
						 类和对象 类和函数一样都是Python中的对象.当一个类定义完成之后,Python将创建一个&quot;类对象&quot;并将其赋值给一个同名变量.类是type类型的对象(是不是有点拗口?). 类对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z724Yqp.html" rel="bookmark" class="title">去除网盘中的重复文件</a>
					<div>
						  现在很多人喜欢通过网盘来专门的存储一些重要的文件,或者将他人分享的文件转存到自己的网盘里面.但是时间一长难免就会出现,一些不同名称但是内容相同的文件,这样就会占用过多的网盘空间.那么如何快速分析出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3X91M.html" rel="bookmark" class="title">宽带连接密码忘记了怎么办</a>
					<div>
						  1.点击电脑右下角长得像显示器的图标,在弹出的菜单中点击右侧的猫状图标后再点击&quot;连接&quot;,这时就会弹出&quot;宽带连接&quot;的窗口. 2.下载&quot;星号密码查看器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oKg3b.html" rel="bookmark" class="title">java Gui编程 事件监听机制</a>
					<div>
						1.     GUI编程引言     以前的学习当中,我们都使用的是命令交互方式:        例如:在DOS命令行中通过javac java命令启动程序.     软件的交互的方式:      1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkDoZb.html" rel="bookmark" class="title">机器学习算法选用指南</a>
					<div>
						在从事数据科学工作的时候,经常会遇到为具体问题选择最合适算法的问题.虽然有很多有关机器学习算法的文章详细介绍了相关的算法,但要做出最合适的选择依然非常困难. 在这篇文章中,我将对一些基本概念给出简要的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0We1Db.html" rel="bookmark" class="title">destoon文章模块调用企业会员资料的方法&lowbar;php实例</a>
					<div>
						本文实例展示了destoon文章模块调用企业会员资料的方法,对于destoon开发来说非常具有实用价值. 一般来说,为吸引企业会员发布企业文章,当企业会员发布文章后文章底部自动调出该企业会员的企业信息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QQm7p.html" rel="bookmark" class="title">如何实现这样的android界面？</a>
					<div>
						问题描述 如何实现这样的android界面? ps:图片为android4.4.4的彩蛋,狂戳android版本号打开 用monitor查看该界面显示是framelayout下无数个imageview ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQjZWp.html" rel="bookmark" class="title">移动开发-安卓byte类型出现精度问题</a>
					<div>
						问题描述 安卓byte类型出现精度问题 最近在用安卓做通信开发,以前c里有无符号类型unsigned char安卓里没有无符号数,所以用了byte,发现在赋值时,如byte a = 0xF0时,编译出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdErq3z.html" rel="bookmark" class="title">c&plus;&plus;把ostream引用放在函数参数中有什么用</a>
					<div>
						问题描述 c++把ostream引用放在函数参数中有什么用 以下代码:void print(ostream&amp; out) const { out &lt;&lt; name &lt;&lt; s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RVPZb.html" rel="bookmark" class="title">javascript-js只有Math&period;random&lpar;&rpar;随机生成，具体怎么用？这种函数会出错么</a>
					<div>
						问题描述 js只有Math.random()随机生成,具体怎么用?这种函数会出错么 js只有Math.random()随机生成,具体怎么用?这种函数会出错么 js只有Math.random()随机生成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDoVGz.html" rel="bookmark" class="title">C&num;资源管理器</a>
					<div>
						问题描述 谁有用c#编写的打字游戏啊!如有请上传,本人当不胜感激 解决方案 解决方案二:使用多线程实现,这么简单的还要代码啊解决方案三:专业破解游戏机,赌博机等][详询QQ1163630020]QQ: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBlR7z.html" rel="bookmark" class="title">【机房重构】一步一步往上爬&mdash;&mdash;七层中的那些事</a>
					<div>
						机房重构开始已经一个多星期了,从最开始的理解登录到现在已经成功完成至少一次的&quot;增&quot;.&quot;删&quot;.&quot;改&quot;.&quot;查&quot;的操作,现在在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0agAp.html" rel="bookmark" class="title">参数类型-同样一个方法，同样一个参数，得到结果不一样！！！！</a>
					<div>
						问题描述 同样一个方法,同样一个参数,得到结果不一样!!!! 我现在模糊查询,在测试类中单独调用方法,传进去参数,出来结果list有长度.但是SSh整合后,这个方法返回的list就没有了长度!!!(我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDn7G6M.html" rel="bookmark" class="title">HBase Compaction的前生今世－身世之旅</a>
					<div>
						了解HBase的童鞋都知道,HBase是一种Log-Structured Merge Tree架构模式,用户数据写入先写WAL,再写缓存,满足一定条件后缓存数据会执行flush操作真正落盘,形成一个数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEOr2M.html" rel="bookmark" class="title">大数据分析你不能不懂的6个核心技术</a>
					<div>
						目前,大数据领域每年都会涌现出大量新的技术,成为大数据获取.存储.处理分析或可视化的有效手段.大数据技术能够将大规模数据中隐藏的信息和知识挖掘出来,为人类社会经济活动提供依据,提高各个领域的运行效率, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jXgKp.html" rel="bookmark" class="title">MySQL导入sql脚本错误：2006 解决方法&lowbar;Mysql</a>
					<div>
						MySQL导入sql脚本错误:2006 - MySQL server has gone away 到如一些小脚本很少报错,但最近导入一个10+M的SQL脚本,却重复报错: Error occured  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZjOwz.html" rel="bookmark" class="title">Java用三元运算符判断奇数和偶数的简单实现&lowbar;java</a>
					<div>
						创建一个类,在该类的主方法中创建标准输入流的扫描器对象,提示用户输入一个整数,并通过扫描器的方法来接受这个整数,然后通过三元运算符判断该数字与2的余数,如果余数为0,说明其是偶数,否则是奇数. 复制代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOmG2b.html" rel="bookmark" class="title">php实现zip文件解压操作&lowbar;php技巧</a>
					<div>
						PHP解压zip文件函数,源码简短,需要使用 ZZIPlib library 扩展,使用前请确认该扩展已经开启. &lt;? /********************** *@file - path ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWvyaz.html" rel="bookmark" class="title">ie8&sol;9浏览器js不能使用怎么 无法启用JavaScript脚本解决办法</a>
					<div>
						怎么启用 JavaScript呢?方法如下: 单击 开始 按钮,按一下 运行 按钮,打开 运行 对话框(或者按 Windows 徽标键 + R 打开也可),输入 regsvr32 jscript.dl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlqrAp.html" rel="bookmark" class="title">php preg&lowbar;replace引发的phpmyadmin&lpar;4&period;3&period;0-4&period;6&period;2&rpar;命令执行漏洞</a>
					<div>
						这里拿cve-2016-5734讲讲preg_replace引发的命令执行漏洞,漏洞在exploit-db上有利用脚本,经过测试没有问题.这里对这个漏洞进行一下回溯跟踪来解释下preg_replace ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NJBPz.html" rel="bookmark" class="title">安全狗云备份 数据库、网站备份好帮手</a>
					<div>
						近日,安全狗云备份正式上线并试运行,主要为广大服务器与网站管理者提供网站文件.数据库文件.配置文件等重要数据的备份及备份还原功能,同时,安全狗云备份还支持本地与服务器间文件中转.服务器间备份文件共享等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Y4yqz.html" rel="bookmark" class="title">备战双十一 帮5买带你找到全网真底价</a>
					<div>
						&quot;双十一&quot;迫在眉睫,各大电商之间的火药味已愈来愈浓,但是面对如此多的&quot;全网底价&quot;,到底孰真孰假?购物比价搜索网站&quot;帮5买&quot;(www.b5m. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
